View Issue Details

IDProjectCategoryView StatusLast Update
868HdsLPGraphicsPublicApr 3rd 2023 8:33 AM
ReporterTravis Herzog Assigned ToTravis Herzog  
Priority UrgentSeverityMajorReproducibilityAlways
Status ReleasedResolutionFixed 
ProjectionNoneETANone 
PlatformPCOSWindowsOS Version10
Product Version1.22.11 
Target Version1.22.11.1Fixed in Version1.22.11.2 
Summary868: Header items are misaligned
DescriptionSome of the items on the Log Header are misaligned from where they are supposed to be drawn.
Most importantly, the titles are drawn overlapping, but the file name, elevations and permanent datum information also overlap the bounds of their respective boxes.

See attached image for example.
TagsBug, Graphics, Regression
Attached Files
FoxitPDFReader_n1KOw9T3We.png (190,366 bytes)
Installation Type

Activities

Travis Herzog

Travis Herzog

Feb 15th 2023 6:00 PM

Administrator   ~154

Fix committed to master branch in repository Log Plots at 2023-02-14 19:56:54.
Travis Herzog

Travis Herzog

Feb 17th 2023 6:00 PM

Administrator   ~156

Fix committed with message 'Fixed 868: Header items are misaligned

- Rewrote methods HeaderPortrait(), HeaderRotated() and all related methods to use RectangleF instead of Arrays of Single
- Changed all drawing variables from Integer to Single
- Added scaling of all fonts
- Fixed Depth Ratio line
- Moved calls to SectionSpace() from method HeaderDrawSections() to each individual section method
- Use compound assignment wherever applicable
- Added evaluation argument when drawing Header, for academic licenses
- Decreased length of method HeaderPortrait() by moving code into methods HeaderPortraitStandard() and HeaderPortraitEvaluation()
- Moved duplicate code to methods HeaderDrawCopyright(), HeaderDrawSections(), HeaderDrawTitle() and HeaderTitleSectionHeight()
- Reordered method arguments so Graphics object is first
' to master branch and b54e5e36f9b5a42c84372fbc0211d49baf3eb8c1 revision in repository HdsLP with changeset ID 26180 at 2023-02-16 20:39:49.
Travis Herzog

Travis Herzog

Mar 6th 2023 10:02 AM

Administrator   ~158

Header title items are still misaligned when the logo height is less than the default, 96.
Travis Herzog

Travis Herzog

Mar 29th 2023 3:04 PM

Administrator   ~161

With the latest version, this was happening when 'Fit to Container' was disabled, and the logo was smaller than the normal container size. There was also some funky behavior related to the logo/title rectangle's X values not getting updated properly when the header is rotated. Hopefully, should be fixed for good now.
Travis Herzog

Travis Herzog

Mar 30th 2023 11:01 PM

Administrator   ~166

Fix committed with message 'Squashed commit of the following:

commit c71c8ee8a5ec1d70e49577b9d1afbf00976ac165
Author: Travis Herzog <travisherzog@hds-log.com>
Date: Wed Mar 29 15:23:15 2023 -0500

    Fixes 868 Header items are misaligned

    * Added constants for minimum/maximum logo/title height for the header
    * Fixed the calculation for the header title height when logo 'Fit to Container' is disabled
' to release/1.22.11.2 branch and 82814eee153df317c4e33e4829d1d4db1de83a80 revision in repository HdsLP with changeset ID 26330 at 2023-03-31T01:57:11+00:00.
Travis Herzog

Travis Herzog

Apr 2nd 2023 7:32 PM

Administrator   ~194

Fix committed with message 'Merged 1.22.11.2 changes

commit f45371faeefb2415e9391b487d5b85d09328c2e7
Merge: 91c70de 82814ee
Author: Travis Herzog <travisherzog@hds-log.com>
Date: Fri Mar 31 08:50:41 2023 -0500

    Merge branch 'release/1.22.11.2'

commit 82814eee153df317c4e33e4829d1d4db1de83a80
Author: Travis Herzog <travisherzog@hds-log.com>
Date: Thu Mar 30 20:57:11 2023 -0500

    Squashed commit of the following:

    commit c71c8ee8a5ec1d70e49577b9d1afbf00976ac165
    Author: Travis Herzog <travisherzog@hds-log.com>
    Date: Wed Mar 29 15:23:15 2023 -0500

        Fixes 868 Header items are misaligned

        * Added constants for minimum/maximum logo/title height for the header
        * Fixed the calculation for the header title height when logo 'Fit to Container' is disabled
' to dev/1.23.0 branch and d5aac383352627184eb9211dcfc56ad057934c6f revision in repository HdsLP with changeset ID 27849 at 2023-04-02T23:47:48+00:00.
Travis Herzog

Travis Herzog

Apr 3rd 2023 8:33 AM

Administrator   ~221

HDSlog 1.22.11.2 released